Build #1 for tdlib-types-0.1.0

[all reports]

Package tdlib-types-0.1.0
Install PlanningFailed
Docs NotTried
Tests NotTried
Time submitted 2020-06-02 10:36:03.286689744 UTC
Compiler ghc-8.6.3
OS linux
Arch x86_64
Dependencies
Flags none

Code Coverage

No Code Coverage was submitted for this report.

Build log

[view raw]

Resolving dependencies...
cabal: Could not resolve dependencies:
[__0] trying: tdlib-types-0.1.0 (user goal)
[__1] trying: tdlib-gen-0.1.0 (dependency of tdlib-types)
[__2] next goal: template-haskell (dependency of tdlib-gen)
[__2] rejecting: template-haskell-2.14.0.0/installed-2.14.0.0 (conflict:
tdlib-gen => template-haskell>=2.15 && <2.17)
[__2] rejecting: template-haskell-2.16.0.0, template-haskell-2.15.0.0,
template-haskell-2.14.0.0, template-haskell-2.13.0.0,
template-haskell-2.12.0.0, template-haskell-2.11.1.0,
template-haskell-2.11.0.0, template-haskell-2.10.0.0,
template-haskell-2.9.0.0, template-haskell-2.8.0.0, template-haskell-2.7.0.0,
template-haskell-2.6.0.0, template-haskell-2.5.0.0, template-haskell-2.4.0.1,
template-haskell-2.4.0.0, template-haskell-2.3.0.1, template-haskell-2.3.0.0,
template-haskell-2.2.0.0 (constraint from non-upgradeable package requires
installed instance)
[__2] fail (backjumping, conflict set: tdlib-gen, template-haskell)
After searching the rest of the dependency tree exhaustively, these were the
goals I've had most trouble fulfilling: template-haskell, tdlib-gen,
tdlib-types